Subject: Re: [PATCH] Performance Stats: Kernel patch

From: Andrew Morton <[email-masked]>
Date: Tue, 22 May 2007 13:08:24 -0700

On Tue, 22 May 2007 17:19:52 +0000
Maxim Uvarov <[email-masked]> wrote:

> Sorry for bothering you. I know you are very busy but could 
> you please tell me what is situation of this patch?

I'd like to add the context-switch accounting to the taskstats payload.

As we'd then need to uprev the taskstats payload and version it makes sense
to have a look around, see if there's anything else which should be in
there but got missed.

I don't think we can accept the number-of-syscalls accounting feature.  It
adds a memory increment into the kernel's number-one hotpath.  Something
which people like to obsessively microbenchmark.

And as I said earlier, a 32-bit counter can be overflowed in mere seconds,
so that needs to become 64-bit, in which case we add a memory increment and
a test-n-branch to that hottest path.

There _is_ some cumulative overhead here, and I don't see how the value of
the syscall counter can justify it.